import { authStore } from "@shared";
import { Power, LucideIcon, Building2, MonitorSmartphone } from "lucide-react";
export const DRAWER_WIDTH = 300;

interface NavigationItem {
  id: string;
  label: string;
  icon: LucideIcon;
  path?: string;
  onClick?: () => void;
}

export const NAVIGATION_ITEMS: {
  primary: NavigationItem[];
  secondary: NavigationItem[];
} = {
  primary: [
    {
      id: "attractions",
      label: "Достопримечательности",
      icon: Building2,
      path: "/sight",
    },
    {
      id: "devices",
      label: "Устройства",
      icon: MonitorSmartphone,
      path: "/devices",
    },
  ],
  secondary: [
    {
      id: "logout",
      label: "Выйти",
      icon: Power,
      onClick: () => {
        authStore.logout();
      },
    },
  ],
};
